%global varnishver 6.1.1
%global vabi efc2f6c1536cf2272e471f5cff5f145239b19460
%global vrt 8.0

%global vmoddir %{_libdir}/varnish/vmods

Name:           vmod-querystring
Version:        1.0.5
Release:        3%{?dist}
Group:          System Environment/Libraries
Summary:        QueryString module for Varnish Cache
URL:            https://github.com/dridi/libvmod-querystring
License:        GPLv3+

Source:         %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

Requires: varnish = %varnishver
Requires: varnishd(abi)%{_isa} = %vabi
Requires: varnishd(vrt)%{_isa} = %vrt
Requires: GeoIP

BuildRequires:  varnish = %varnishver
BuildRequires:  varnish-devel = %varnishver

%if 0%{?rhel} == 6
BuildRequires:  python34
%endif

# Made tarball like this:
# git clone https://github.com/Dridi/libvmod-querystring.git
# cd libvmod-querystring
# git fetch --all --tags --prune
# git checkout tags/v1.0.5
# ./bootstrap && ./configure && make && make check
# rst2man src/vmod_querystring.man.rst > src/vmod_querystring.3
# make dist

%description
The purpose of this module is to give you a fine-grained control over a URL's
query-string in Varnish Cache. It's possible to remove the query-string, clean
it, sort its parameters or filter it to only keep a subset of them.

This can greatly improve your hit ratio and efficiency with Varnish, because
by default two URLs with the same path but different query-strings are also
different. This is what the RFCs mandate but probably not what you usually
want for your web site or application.

A query-string is just a character string starting after a question mark in a
URL. But in a web context, it is usually a structured key/values store encoded
with the `application/x-www-form-urlencoded' media type. This module deals
with this kind of query-strings.


%prep
%setup -q


%build
%configure --disable-silent-rules --with-rst2man=:
%make_build CFLAGS="%{optflags}"


%install
%make_install
rm -f %{buildroot}%{vmoddir}/*.la


%check
make %{?_smp_mflags} check


%files
%{_mandir}/man?/*
%{_docdir}/*
%{vmoddir}/*.so


%changelog
* Thu Nov 08 2018 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.5-3
- Rebuilt against varnish-6.1.1

* Thu Oct 11 2018 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.5-2
- Rebuilt against varnish-6.0.1

* Wed Aug 08 2018 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.5-1
- New upstream release 1.0.5

* Mon Oct 23 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.4-1
- New upstream release 1.0.4

* Mon Oct 23 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.4-0.1.20171026git29199e5
- Built a 1.0.3+ checkout from git against varnish-5.2.0

* Fri Dec 09 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.2-1
- Drop build requirement on python-docutils

* Fri Sep 16 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0-1
- Bump version
- Change License to GPLv3+
- Automatic package information
- Expect a correct source archive
- Disable silent rules
- Overall simplification

* Tue Mar 29 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.5-1
- Bump version

* Thu Feb 11 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.4-1
- Bump version
- Drop Varnish 3 source code requirement

* Tue Aug 04 2015 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.3-1
- Bump version

* Mon Apr 15 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.2-1
- Initial version.
